package de.dass_it.vanhelsing.gui.items;
public class FDClientItem extends ItemType implements UserObjectItem{
	private String name;
	private String workingDirectory;
	private String pidDirectory;
	private String heartbeatInterval;
	private String maximumConcurrentJobs;
	private String fdAddresses;
	private String fdPort;
	private String fdAddress;
	private String fdSourceAddress;
	private String sdConnectTimeout;
	private String maximumNetworkBufferSize;
	//private String heartbeatInterval; Parameter in Dokumentation doppelt vorhanden
	private String pkiEncryption;
	private String pkiSignatures;
	private String pkiKeypair;
	private String pkiMasterKey;
	
	public FDClientItem(){}
	public FDClientItem(String name, String workingDirectory, String pidDirectory){
		setName(name);
		setWorkingDirectory(workingDirectory);
		setPidDirectory(pidDirectory);
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getWorkingDirectory() {
		return workingDirectory;
	}
	public void setWorkingDirectory(String workingDirectory) {
		this.workingDirectory = workingDirectory;
	}
	public String getPidDirectory() {
		return pidDirectory;
	}
	public void setPidDirectory(String pidDirectory) {
		this.pidDirectory = pidDirectory;
	}
	public String getHeartbeatInterval() {
		return heartbeatInterval;
	}
	public void setHeartbeatInterval(String heartbeatInterval) {
		this.heartbeatInterval = heartbeatInterval;
	}
	public String getMaximumConcurrentJobs() {
		return maximumConcurrentJobs;
	}
	public void setMaximumConcurrentJobs(String maximumConcurrentJobs) {
		this.maximumConcurrentJobs = maximumConcurrentJobs;
	}
	public String getFdAddresses() {
		return fdAddresses;
	}
	public void setFdAddresses(String fdAddresses) {
		this.fdAddresses = fdAddresses;
	}
	public String getFdPort() {
		return fdPort;
	}
	public void setFdPort(String fdPort) {
		this.fdPort = fdPort;
	}
	public String getFdAddress() {
		return fdAddress;
	}
	public void setFdAddress(String fdAddress) {
		this.fdAddress = fdAddress;
	}
	public String getFdSourceAddress() {
		return fdSourceAddress;
	}
	public void setFdSourceAddress(String fdSourceAddress) {
		this.fdSourceAddress = fdSourceAddress;
	}
	public String getSdConnectTimeout() {
		return sdConnectTimeout;
	}
	public void setSdConnectTimeout(String sdConnectTimeout) {
		this.sdConnectTimeout = sdConnectTimeout;
	}
	public String getMaximumNetworkBufferSize() {
		return maximumNetworkBufferSize;
	}
	public void setMaximumNetworkBufferSize(String maximumNetworkBufferSize) {
		this.maximumNetworkBufferSize = maximumNetworkBufferSize;
	}
	public String getPkiEncryption() {
		return pkiEncryption;
	}
	public void setPkiEncryption(String pkiEncryption) {
		this.pkiEncryption = pkiEncryption;
	}
	public String getPkiSignatures() {
		return pkiSignatures;
	}
	public void setPkiSignatures(String pkiSignatures) {
		this.pkiSignatures = pkiSignatures;
	}
	public String getPkiKeypair() {
		return pkiKeypair;
	}
	public void setPkiKeypair(String pkiKeypair) {
		this.pkiKeypair = pkiKeypair;
	}
	public String getPkiMasterKey() {
		return pkiMasterKey;
	}
	public void setPkiMasterKey(String pkiMasterKey) {
		this.pkiMasterKey = pkiMasterKey;
	}
	
}
